Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 168635)
+++ channels/chan_sip.c	(arbetskopia)
@@ -14498,8 +14498,8 @@
 /*! \brief  Show SIP Registry (registrations with other SIP proxies */
 static char *sip_show_registry(struct ast_cli_entry *e, int cmd, struct ast_cli_args *a)
 {
-#define FORMAT2 "%-30.30s %-6.6s %-12.12s  %8.8s %-20.20s %-25.25s\n"
-#define FORMAT  "%-30.30s %-6.6s %-12.12s  %8d %-20.20s %-25.25s\n"
+#define FORMAT2 "%-30.30s %-6.6s %-12.12s %-12.12s %8.8s %-20.20s %-25.25s\n"
+#define FORMAT  "%-30.30s %-6.6s %-12.12s %-12.12s %8d %-20.20s %-25.25s\n"
 	char host[80];
 	char tmpdat[256];
 	struct ast_tm tm;
@@ -14518,7 +14518,7 @@
 
 	if (a->argc != 3)
 		return CLI_SHOWUSAGE;
-	ast_cli(a->fd, FORMAT2, "Host", "dnsmgr", "Username", "Refresh", "State", "Reg.Time");
+	ast_cli(a->fd, FORMAT2, "Host", "dnsmgr", "Username", "Exten", "Refresh", "State", "Reg.Time");
 	
 	ASTOBJ_CONTAINER_TRAVERSE(&regl, 1, do {
 		ASTOBJ_RDLOCK(iterator);
@@ -14528,7 +14528,7 @@
 			ast_strftime(tmpdat, sizeof(tmpdat), "%a, %d %b %Y %T", &tm);
 		} else 
 			tmpdat[0] = '\0';
-		ast_cli(a->fd, FORMAT, host, (iterator->dnsmgr) ? "Y" : "N", iterator->username, iterator->refresh, regstate2str(iterator->regstate), tmpdat);
+		ast_cli(a->fd, FORMAT, host, (iterator->dnsmgr) ? "Y" : "N", iterator->username, iterator->callback, iterator->refresh, regstate2str(iterator->regstate), tmpdat);
 		ASTOBJ_UNLOCK(iterator);
 		counter++;
 	} while(0));
